API ReferenceapimessagingPOST /v1/messaging/campaigns/{id}/steps

POST /v1/messaging/campaigns/\{id\}/steps

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "position": {
      "type": "integer",
      "minimum": 0
    },
    "template_id": {
      "type": "string"
    },
    "template_version_id": {
      "type": "string"
    },
    "delay_minutes": {
      "type": "integer",
      "minimum": 0
    },
    "variables": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "position",
    "template_id",
    "template_version_id"
  ]
}

Responses

201 Created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "campaign_id": {
      "type": "string"
    },
    "position": {
      "type": "number"
    },
    "template_id": {
      "type": "string"
    },
    "template_version_id": {
      "type": "string"
    },
    "delay_minutes": {
      "type": "number"
    },
    "variables": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "id",
    "campaign_id",
    "position",
    "template_id",
    "template_version_id",
    "delay_minutes",
    "variables"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Bad state

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://messaging.platform.loop.health/v1/messaging/campaigns/{id}/steps \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'